#       $OpenBSD: smtpd.conf,v 1.11 2018/06/04 21:10:58 jmc Exp $

# This is the smtpd server system-wide configuration file.
# See smtpd.conf(5) for more information.

table aliases file:/etc/mail/aliases
table {{ osmtpd_config['secrets']['table'] | default('secrets') }} file:{{ osmtpd_config['secrets']['file'] | default('/etc/mail/secrets') }}
table {{ osmtpd_config['relay']['table'] | default('allowrelay') }} file:{{ osmtpd_config['relay']['file'] | default('/etc/mail/allowrelay') }}

listen on {{ osmtpd_config['listen'] | default('all') }}

action "local" mbox alias <aliases>
action "relay" relay host smtp+tls://{{ osmtpd_secrets['label'] }}@{{ osmtpd_config['relay']['host'] }}:{{ osmtpd_config['relay']['port'] }} \
    auth <{{ osmtpd_config['secrets']['table'] | default('secrets') }}> \
    tls {{ osmtpd_config['relay']['tls'] | default('') }} \
    mail-from "{{ osmtpd_config['relay']['mailfrom'] }}"

match for local action "local"
match from local for any action "relay"
match from src <{{ osmtpd_config['relay']['table'] | default('allowrelay') }}> for any action "relay"